android-cuttlefish for Debian
-----------------------------

# Overview

Please refer to the official Android documentation:
https://source.android.com/docs/devices/cuttlefish
along with the following Debian-specific instructions.

# Get started

In the official "Get started" guide under the "Launch cuttlefish" section,
users are instructed to build the Debian package manually. Since you have
installed this package directly via apt in Debian, you can skip that step.

The only images and host tools you need to download or build are:

 * aosp_cf_<arch>_phone-img-<version>.zip
 * cvd-host_package.tar.gz

After extracting these files into a directory (e.g., "cf"), run:

  - cd cf
  - HOME=$PWD cvd create --host_substitutions=all --use_cvdalloc=true

Once it displays "Virtual device booted successfully", you can connect to the
device using adb.

Note: The web interface is currently unavailable as the required Node.js
dependencies have not yet been packaged in Debian. Only text-mode utilities
can be used to interact with the virtual devices at this time.

Explanation of parameters:

 * --host_substitutions=all - Uses helper binaries installed in
   /usr/lib/cuttlefish-common/bin
 * --use_cvdalloc=true - Allocates TAP network devices dynamically using
   cvdalloc. Unlike standard upstream setups that pre-allocate around 10 TAP
   devices, Debian uses dynamic allocation via cvdalloc instead.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 27 Aug 2026 09:45:55 +0000
